# Check if the attributes are open and returns True of False.
# If the triangulation is opened in write mode, then you will be able
# to add or edit attributes.

from maptek import vulcan

input_tri = "pit_solid.00t"  # triangulation to use

with vulcan.tri_attributes(input_tri) as tri:  # open triangulation attributes in write mode
    is_ok = tri.is_ok()
    print(f"{is_ok}")
